> For the complete documentation index, see [llms.txt](https://docs.uci.ucserver.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/disguise.md).

# Disguise

{% hint style="danger" %}
This is archived all will not work on the latest version.\
Archived version: 4.0.\*
{% endhint %}

**Description:** Disguises the player as another role (recommended for armor). Options include reveal on damage and custom info string.

**Parameters:**

* `reveal_when_damaged` — If `true`, disguise is removed when player is damaged.
* `role_id` — Role to disguise as (e.g., `NtfSpecialist`).
* `disguise_message` — Message shown to the disguised player.
* `custom_info` — Custom information string (optional).

**Example Yaml context:**

```yaml
flag_settings:
  disguise_settings:
  - reveal_when_damaged: false
    role_id: NtfSpecialist
    disguise_message: 'Your are disguised as an NtfSpecialist!'
    custom_info: ''
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/disguise.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
